Draft Facebinder/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/pl |Punkt |Kształt z tekstu |Środowisko pracy Rysunek Roboczy |IconL=Draft_Point.svg |IconR=Draft_S...")
(Created page with "Przykład:")
Line 86: Line 86:
The placement of the Facebinder can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.
The placement of the Facebinder can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.


Przykład:
Example:


{{Code|code=
{{Code|code=

Revision as of 05:38, 8 August 2021

Rysunek Roboczy: Łącznik kształtów

Lokalizacja w menu
Kreślenie → Łącznik kształtu
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
F F
Wprowadzono w wersji
0.14
Zobacz także
brak

Opis

Polecenie Łącznik kształtów tworzy obiekt powierzchniowy z wybranych ścian. Łącznik kształtów jest parametryczny, będzie się aktualizował jeśli zmodyfikujesz jego obiekt źródłowy (lub obiekty źródłowe).

Można go użyć do utworzenia wyciągnięcia z kolekcji powierzchni. Takie wytłoczenie może na przykład reprezentować wykończenie ściany w projekcie architektonicznym.

Łącznik kształtu stworzony z powierzchni ścian

Użycie

  1. Wybierz jedną lub więcej ścian.
  2. Istnieje kilka sposobów na wywołanie tego polecenia:

Właściwości

Zobacz również: Edytor właściwości.

Obiekt Łącznik kształtu wywodzi się z obiektu Część: Cecha i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Rysunek Roboczy

  • DANEArea (Area): (read-only) specifies the total area of the linked faces of the facebinder.
  • DANEExtrusion (Distance): specifies the extrusion thickness of the facebinder.
  • DANEFaces (LinkSubList): specifies the linked faces of the facebinder.
  • DANEOffset (Distance): specifies an offset distance to apply between the facebinder and the original faces, prior to extrusion.
  • DANERemove Splitter (Bool): Specifies whether to remove splitter lines that divide co-planar faces of the facebinder.
  • DANESew (Bool): Specifies whether to perform a topological sewing operation on the facebinder.

Widok

Rysunek Roboczy

  • WIDOKPattern (Enumeration): specifies the Draft Pattern with which to fill the faces of the facebinder. This property only works if WIDOKDisplay Mode is Flat Lines.
  • WIDOKPattern Size (Float): specifies the size of the Draft Pattern.

Tworzenie skryptów

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Facebinder use the make_facebinder method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeFacebinder method.

facebinder = make_facebinder(selectionset)
  • Creates a facebinder object from the given selectionset, which is a list of SelectionObjects as returned by FreeCADGui.Selection.getSelectionEx(). Only selected faces are taken into account.
    • selectionset can also be a PropertyLinkSubList.

A PropertyLinkSubList is a list of tuples; each tuple contains as first element an object, and as second element a list (or tuple) of strings; these strings indicate the names of the sub-elements (faces) of that object.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

The thickness of the Facebinder can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the Facebinder can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Przykład:

import FreeCAD as App
import FreeCADGui as Gui
import Draft

doc = App.newDocument()

# Insert a solid box
box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 800
box.Height = 1000

# selection = Gui.Selection.getSelectionEx()
selection = [(box, ("Face1", "Face6"))]
facebinder = Draft.make_facebinder(selection)
facebinder.Extrusion = 50

doc.recompute()

facebinder.Placement.Base = App.Vector(1000, -1000, 100)
facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)

doc.recompute()